API referenceSessions
Find repositories you may use
GET
Repositories you may start a session on (meta.repo), matching q anywhere in the path, the exact name first; without q, the ones you used last first. A page at a time.
bearerheader
AuthorizationBearer <token>An API token
q?stringPart of the path
limit?integerRange
1 <= value <= 100cursor?stringThe next of the previous page
Matching repositories
application/json- response
items*array<>next?stringPass as cursor for the next page
curl -X GET 'http://127.0.0.1:7777/repos?q=api&limit=20'Example Response
{ "items": [ { "repo": "string", "connection": "string", "path": "string", "label": "string", "defaultBranch": "string", "private": true, "webUrl": "string" } ], "next": "string"}List the models you may pick GET
Previous Page
Send a message POST
The same `idempotencyKey` is accepted once. While a turn runs, `whenBusy` `followUp` (default) waits for it to end and `steer` joins it. `attachments` are ids from the attachments route. Wait for the turn with the submissions route, or follow the events.